#include <bits/stdc++.h>
using namespace std;

const long long MX=7e5+10;
long long mas[MX];

void fun()
{
    long long n;
    cin>>n;

    for(long long i=2*n;i>=0;i--)
    {
        mas[i]=0;
    }

    for(long long i=1;i<=n;i++)
    {
        long long a,b,c;
        cin>>a>>b>>c;

        mas[a]+=c;
        mas[b]+=c;
    }

    long long mx=0;
    for(long long i=1;i<=2*n;i++)
    {
        mx=max(mx,mas[i]);
    }

    cout<<mx<<"\n";
}

int main()
{
    cin.tie(0);
    ios_base::sync_with_stdio(0);

    long long t;
    cin>>t;

    while(t--)
    {
        fun();
    }

    return 0;
}